NNG_WS_REGISTER(3)

NAME
nng_ws_register - register WebSocket transport

SYNOPSIS

    #include <nng/transport/websocket/ws.h>
    int nng_ws_register(void);

DESCRIPTION

The nng_ws_register() function registers the ws transport for use.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The transport is not supported.

SEE ALSO

nng_ws(7), nng(7)